# Get item group list

Retrieves an item group list for building a catalog without pagination.
NoteThe use of the item catalog API calls is available without authorization, but to get a personalized catalog, you must pass the user JWT in the Authorization header.

Endpoint: GET /v2/project/{project_id}/items/groups
Version: 2.0.0

## Path parameters:

  - `project_id` (integer, required)
    Project ID. You can find this parameter in your Publisher Account next to the project name and in the browser address bar when working with a project. The URL has the following format: https://publisher.xsolla.com//projects/.
    Example: 44056

## Query parameters:

  - `locale` (string)
    Response language. Two-letter lowercase language code per ISO 639-1 (for example, en). Five-character locale codes (for example, en-US) are supported in localization fields such as name and description, but are normalized to two-letter codes in responses. You can find the full list of supported languages in the documentation.

  - `with_geo` (boolean)
    Whether to return the user's locale and country information in the response headers. If set to true, the response includes X-User-Locale-Code and X-User-Country-Code headers.

## Response 200 fields (application/json):

  - `groups` (array)
    Example: [{"external_id":"weapons","name":"Weapons","description":"All weapons available in the game","image_url":null,"order":1},{"external_id":"group_external_id","name":"Super","description":"Super description","image_url":null,"order":1}]

  - `groups.external_id` (string)
    External group ID.
    Example: "weapons"

  - `groups.name` (string)
    Group name.
    Example: "Weapons"

  - `groups.description` (string)
    Group description.
    Example: "All weapons available in the game"

  - `groups.image_url` (string,null)
    Image URL.

  - `groups.order` (integer)
    Defines arrangement order.
    Example: 1

  - `groups.level` (integer)
    Group nesting level.

  - `groups.children` (array)
    Child groups.
    Example: [{"external_id":"background","name":"Background","description":"Background description","image_url":null,"order":1,"level":1,"children":[{"external_id":"accessory","name":"Accessory","description":"Accessory","image_url":null,"order":1,"level":2,"children":[],"parent_external_id":"background"}],"parent_external_id":"weapons"}]

  - `groups.children.external_id` (string)
    External group ID.
    Example: "background"

  - `groups.children.name` (string)
    Group name.
    Example: "Background"

  - `groups.children.description` (string)
    Group description.
    Example: "Background description"

  - `groups.children.image_url` (string,null)
    Group image URL.

  - `groups.children.order` (integer)
    Defines arrangement order.
    Example: 1

  - `groups.children.level` (integer)
    Group nesting level.
    Example: 1

  - `groups.children.children` (array)
    Child groups.
    Example: [{"external_id":"accessory","name":"Accessory","description":"Accessory","image_url":null,"order":1,"level":2,"children":[],"parent_external_id":"background"}]

  - `groups.children.children.external_id` (string)
    External group ID.
    Example: "accessory"

  - `groups.children.children.name` (string)
    Group name.
    Example: "Accessory"

  - `groups.children.children.description` (string)
    Group description.
    Example: "Accessory"

  - `groups.children.children.image_url` (string,null)
    Image URL.

  - `groups.children.children.order` (integer)
    Defines arrangement order.
    Example: 1

  - `groups.children.children.level` (integer)
    Group nesting level.
    Example: 2

  - `groups.children.children.children` (array)
    Child groups.
    Example: []

  - `groups.children.children.parent_external_id` (string,null)
    Parent external group ID.
    Example: "background"

  - `groups.children.parent_external_id` (string,null)
    Parent external group ID.
    Example: "weapons"

  - `groups.parent_external_id` (string,null)
    Parent external group ID.


